Package org.bukkit.event.server

# Class ServerLoadEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.server.ServerEvent
org.bukkit.event.server.ServerLoadEvent

public class ServerLoadEvent extends ServerEvent
This event is called when either the server startup or reload has completed.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ServerLoadEvent.LoadType`
Represents the context in which the enclosing event has been completed.

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`ServerLoadEvent(@NotNull ServerLoadEvent.LoadType type)`
Creates a `ServerLoadEvent` with a given loading type.

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ServerLoadEvent.LoadType`
`getType()`
Gets the context in which the server was loaded.

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerLoadEvent

public ServerLoadEvent(@NotNull @NotNull ServerLoadEvent.LoadType type)
Creates a `ServerLoadEvent` with a given loading type.

Parameters:
  `type` - the context in which the server was loaded

## Method Details

### getType

@NotNull public @NotNull ServerLoadEvent.LoadType getType()
Gets the context in which the server was loaded.

Returns:
  the context in which the server was loaded

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()